WKS4ParserInternal::Font Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WKS4ParserInternal::Font Struct Referencefinal

the font of a WKS4Parser More...

Inheritance diagram for WKS4ParserInternal::Font:

## Public Member Functions
| Font (libwps_tools_win::Font::Type type)
| constructor
| Font (Font const &)=default
| ~Font () final
| destructor
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor
| WPSFont (WPSFont const &)=default
| WPSFont (WPSFont &&)=default
WPSFont & | operator= (WPSFont const &)=default
WPSFont & | operator= (WPSFont &&)=default
virtual | ~WPSFont ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | isSet () const
| accessor
bool | operator== (WPSFont const &ft) const
| operator==
bool | operator!= (WPSFont const &ft) const
| operator!=

## Public Attributes
libwps_tools_win::Font::Type | m_type
| font encoding type
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name
double | m_size
| font size
uint32_t | m_attributes
| the font attributes defined as a set of bits
double | m_spacing
| font spacing
WPSColor | m_color
| the font color
int | m_languageId
| the language (simplified locale name id) if known
std::string | m_extra
| public field use to add a message when the font is printed

## Additional Inherited Members
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt)

## Detailed Description

the font of a WKS4Parser

## Constructor & Destructor Documentation

## ◆ Font() [1/2]

WKS4ParserInternal::Font::Font | ( | libwps_tools_win::Font::Type | type | ) |
| inlineexplicit

constructor

## ◆ Font() [2/2]

WKS4ParserInternal::Font::Font | ( | Font const & |  | ) |
| default

## ◆ ~Font()

WKS4ParserInternal::Font::~Font | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_type

libwps_tools_win::Font::Type WKS4ParserInternal::Font::m_type

font encoding type

Referenced by WKS4Parser::readFont().

The documentation for this struct was generated from the following file:

- WKS4.cpp